using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.GetAsync(
"id"
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Actions.Get(
context.TODO(),
"id",
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.actions().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->actions->get(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.actions.get(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.actions.get(id: "id")import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.actions.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.actions.get("id");
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/actions/actions/{id} \
--header 'Authorization: Bearer <token>'{
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"deployed_version": {
"id": "12a3b9e6-06e6-4a29-96bf-90c82fe79a0d",
"action_id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"deployed": true,
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"status": "built",
"number": 1,
"errors": [
{
"id": "<string>",
"msg": "<string>",
"url": "<string>"
}
],
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
},
"built_at": "2021-01-01T00:00:00.000Z",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
},
"installed_integration_id": "7d2bc0c9-c0c2-433a-9f4e-86ef80270aad",
"integration": {
"id": "8e9fe2d0-a2fc-4c8c-9e35-dae5afadb70b",
"catalog_id": "awesome-auth0-integration",
"url_slug": "awesome-auth0-integration-slug",
"partner_id": "b8575c12-8d9d-4b5c-b28e-671fe9d39029",
"name": "Example Auth0 integration",
"description": "An awesome Auth0 integration",
"short_description": "Awesome Auth0 integration",
"logo": "<string>",
"feature_type": "action",
"terms_of_use_url": "<string>",
"privacy_policy_url": "<string>",
"public_support_link": "<string>",
"current_release": {
"id": "<string>",
"trigger": {
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
},
"semver": {
"major": 1,
"minor": 1
},
"required_secrets": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
],
"required_configuration": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
},
"created_at": "2021-06-21T15:47:29.072Z",
"updated_at": "2021-06-21T15:47:29.072Z"
},
"status": "built",
"built_at": "2021-01-01T00:00:00.000Z",
"deploy": false,
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
}Get an action
Retrieve an action by its ID.
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.GetAsync(
"id"
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Actions.Get(
context.TODO(),
"id",
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.actions().get("id");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->actions->get(
'id',
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.actions.get(
id="id",
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.actions.get(id: "id")import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.actions.get("id");
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.actions.get("id");
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/actions/actions/{id} \
--header 'Authorization: Bearer <token>'{
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"deployed_version": {
"id": "12a3b9e6-06e6-4a29-96bf-90c82fe79a0d",
"action_id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"code": "module.exports = () => {}",
"dependencies": [
{
"name": "<string>",
"version": "<string>",
"registry_url": "<string>"
}
],
"deployed": true,
"runtime": "node22",
"secrets": [
{
"name": "mySecret",
"updated_at": "2021-01-01T00:00:00.000Z"
}
],
"status": "built",
"number": 1,
"errors": [
{
"id": "<string>",
"msg": "<string>",
"url": "<string>"
}
],
"action": {
"id": "910b1053-577f-4d81-a8c8-020e7319a38a",
"name": "my-action",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"all_changes_deployed": false,
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z"
},
"built_at": "2021-01-01T00:00:00.000Z",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
],
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
},
"installed_integration_id": "7d2bc0c9-c0c2-433a-9f4e-86ef80270aad",
"integration": {
"id": "8e9fe2d0-a2fc-4c8c-9e35-dae5afadb70b",
"catalog_id": "awesome-auth0-integration",
"url_slug": "awesome-auth0-integration-slug",
"partner_id": "b8575c12-8d9d-4b5c-b28e-671fe9d39029",
"name": "Example Auth0 integration",
"description": "An awesome Auth0 integration",
"short_description": "Awesome Auth0 integration",
"logo": "<string>",
"feature_type": "action",
"terms_of_use_url": "<string>",
"privacy_policy_url": "<string>",
"public_support_link": "<string>",
"current_release": {
"id": "<string>",
"trigger": {
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
},
"semver": {
"major": 1,
"minor": 1
},
"required_secrets": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
],
"required_configuration": [
{
"name": "<string>",
"required": true,
"optional": true,
"label": "<string>",
"description": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
},
"created_at": "2021-06-21T15:47:29.072Z",
"updated_at": "2021-06-21T15:47:29.072Z"
},
"status": "built",
"built_at": "2021-01-01T00:00:00.000Z",
"deploy": false,
"modules": [
{
"module_id": "<string>",
"module_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123
}
]
}Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
The ID of the action to retrieve.
Réponse
The action was retrieved.
The unique ID of the action.
The name of an action.
The list of triggers that this action supports. At this time, an action can only target a single trigger at a time.
1Show child attributes
Show child attributes
True if all of an Action's contents have been deployed.
The time when this action was created.
The time when this action was updated.
The source code of the action.
The list of third party npm modules, and their versions, that this action depends on.
Show child attributes
Show child attributes
The Node runtime. For example: node22, defaults to node22
The list of secrets that are included in an action or a version of an action.
Show child attributes
Show child attributes
The version of the action that is currently deployed.
Show child attributes
Show child attributes
installed_integration_id is the fk reference to the InstalledIntegration entity.
Integration defines a self contained functioning unit which partners publish. A partner may create one or many of these integrations.
Show child attributes
Show child attributes
The build status of this action.
pending, building, packaged, built, retrying, failed The time when this action was built successfully.
True if the action should be deployed after creation.
The list of action modules and their versions used by this action.
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?